# Module `wibox`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.4
- Author: Uli Schlachter

## Functions

set_widget (widget) | Set the widget that the wibox displays
set_bg (c) | Set the background of the wibox
set_fg (c) | Set the foreground of the wibox
draw (wibox) | Redraw a wibox.

## Tables

drawin | Widget box object.

## Functions

set_widget (widget)
  Set the widget that the wibox displays

  ### Parameters:

  - widget
set_bg (c)
  Set the background of the wibox

  ### Parameters:

  - c The background to use. This must either be a cairo pattern object, nil or a string that gears.color() understands.
set_fg (c)
  Set the foreground of the wibox

  ### Parameters:

  - c The foreground to use. This must either be a cairo pattern object, nil or a string that gears.color() understands.
draw (wibox)
  Redraw a wibox. You should never have to call this explicitely because it is automatically called when needed.

  ### Parameters:

  - wibox

## Tables

drawin
  Widget box object. Every wibox "inherits" from a drawin and you can use all of drawin's functions directly on this as well. When creating a wibox, you can specify a "fg" and a "bg" color as keys in the table that is passed to the constructor. All other arguments will be passed to drawin's constructor.

generated by LDoc 1.4.2